# vim: set ft=spec: -*- mode: rpm-spec; -*-
# $Id: libffcall,v 1.3 2003/09/13 23:01:53 raorn Exp $

%define	lname	ffcall
%define	version	1.8d
%define	release	alt4

Name: lib%lname
Version: %version
Release: %release
Summary: Foreign Function Call Libraries
Group: System/Libraries
License: GPL
URL: http://clisp.cons.org/~haible/packages-ffcall.html

Source: %lname-%version.tar.gz

%description
This is a collection of four libraries which can be used to build
foreign function call interfaces in embedded interpreters.

The four packages are:

    avcall - calling C functions with variable arguments

    vacall - C functions accepting variable argument prototypes

    trampoline - closures as first-class C functions

    callback - closures with variable arguments as first-class C functions
               (a reentrant combination of vacall and trampoline)

%package devel
Summary: Development headers for Foreign Function Call Libraries
Group: Development/C
Requires: %name = %version-%release

%description devel
This is a collection of four libraries which can be used to build
foreign function call interfaces in embedded interpreters.

The four packages are:

    avcall - calling C functions with variable arguments

    vacall - C functions accepting variable argument prototypes

    trampoline - closures as first-class C functions

    callback - closures with variable arguments as first-class C functions
               (a reentrant combination of vacall and trampoline)

This package contains development headers for FFCall libraries

%package devel-static
Summary: Development headers for Foreign Function Call Libraries
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
This is a collection of four libraries which can be used to build
foreign function call interfaces in embedded interpreters.

The four packages are:

    avcall - calling C functions with variable arguments

    vacall - C functions accepting variable argument prototypes

    trampoline - closures as first-class C functions

    callback - closures with variable arguments as first-class C functions
               (a reentrant combination of vacall and trampoline)

This package contains static verions of FFCall libraries

%prep
%setup -n %lname-%version

%build
# SMP b0rken...
%define __nprocs 1
%configure --enable-shared
%make_build

%install
%__mkdir_p %buildroot{%_includedir,%_libdir,%_mandir,%_datadir}
%makeinstall

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%doc COPYING NEWS PLATFORMS README
%_libdir/*.so.*

%files devel
%doc */*.html
%_includedir/*
%_libdir/*.so
%_libdir/*.la
%_mandir/man?/*

%files devel-static
%_libdir/*.a

%changelog
* Sun Sep 14 2003 Sir Raorn <raorn@altlinux.ru> 1.8d-alt4
- SMP build b0rken
- Some spec cleanups

* Tue Jul 30 2002 Sir Raorn <raorn@altlinux.ru> 1.8d-alt3
- Libraries made shared

* Wed Jul 17 2002 Sir Raorn <raorn@altlinux.ru> 1.8d-alt2
- Renamed to %name-devel

* Sat May 11 2002 Sir Raorn <raorn@altlinux.ru> 1.8d-alt1
- [1.8d]

* Mon Jan 07 2002 Sir Raorn <raorn@altlinux.ru> 1.8c-alt3
- Spec celanup

* Sat Jan 05 2002 Sir Raorn <raorn@altlinux.ru> 1.8c-alt2
- Fixed %doc for html documentation

* Sat Aug 18 2001 Sir Raorn <raorn@binec.ru>
- initial RPM release

